/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.lang;

/** 
 *
 * @author Victor Kuliamin
 *
 */
public class FormalScenario implements Runnable
{
  final public GraphExplorer  testEngine   ()                 { return null; }
  final public void           setTestEngine(GraphExplorer te) {}
  
  public void run    () {}

  public void reduce () {}
  public void reset  () {}
  
  public void confirmTransition() {}
  
  public void setup  () {}
  
  // Stubs for methods defined in TestingModel class designed for
  // writing JUnit-like scenarios that use SingleStateWithReset_TestEngine.

  protected void verify(boolean condition) {}
  protected void verify(boolean condition, String message) {}
  protected void fail() {}
  protected void fail(String message) {}
  protected void fail(Throwable cause) {}
  protected void fail(String message, Throwable cause) {}

}
