/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.lang;

/** 
 *
 * @author Victor Kuliamin
 *
 */
public class RuntimeTestException
  extends TestException
{
  public RuntimeTestException(String info, String[] tags, String[] values)
  {
    super(info, null, false, false, true, tags, values);
  }
  
  public RuntimeTestException(String info, Throwable error, String[] tags, String[] values)
  {
    super(info, error, false, false, true, tags, values);
  }

  public RuntimeTestException(String info, boolean isCritical, String[] tags, String[] values)
  {
    super(info, null, isCritical, false, true, tags, values);
  }
  
  public RuntimeTestException(String info, Throwable error, boolean isCritical, String[] tags, String[] values)
  {
    super(info, error, isCritical, false, true, tags, values);
  }
}
