/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.lang;

public class TestExitException 
  extends CriticalRuntimeTestException
{
  public TestExitException(String info)
  {
    super("Test exit : " + info,  null, null);
  }

  public TestExitException(String info, Throwable error)
  {
    super("Test exit : " + info, error, null, null);
  }

  
  public TestExitException(String info, String p_class, String p_method)
  {
    super("Test exit : " + info,  new String[]{"scenrio class", "scenario method"}, new String[]{p_class, p_method});
  }

  public TestExitException(String info, Throwable error, String p_class, String p_method)
  {
    super("Test exit : " + info, error, new String[]{"scenrio class", "scenario method"}, new String[]{p_class, p_method});
  }

}
